Bug 213393 - Bitmap fonts are not generated correctly
Summary: Bitmap fonts are not generated correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-chinese   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-01 09:41 UTC by Ike To
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 00:57:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ike To 2006-11-01 09:41:07 UTC
Description of problem:

Bitmap fonts in the fonts-chinese package is not generated correctly.  The pcf
files it installed just include empty gzipped files.  Perhaps bdftopcf is not
installed in the system when they are compiled.  Perhaps we have a missing build
dependency?

Version-Release number of selected component (if applicable):

3.02-7.fc6

How reproducible:

Steps to Reproduce:
1. Install fonts-chinese.
2. ls -l /usr/share/fonts/chinese/misc/
3. zcat ls -l /usr/share/fonts/chinese/misc/taipei16.pcf.gz
  
Actual results:
The ls command shows the file size is just 20 bytes.
The zcat command doesn't produce anything.

Expected results:
The ls command shows a file a few hundred kilobytes in size, and the zcat
command would give a binary file.

Additional info:
Recompiling the package using rpmbuild -ba without doing anything else will
correct the problem, as long as bdftopcf is installed already.

Comment 1 Wei-Lun Chao 2006-11-11 03:47:08 UTC
fonts.alias is also not correct.

Comment 2 Caius Chance 2007-01-15 00:57:51 UTC
It has been proved fixed in rawhide (fonts-chinese-3.03-1.fc7.noarch.rpm).


Note You need to log in before you can comment on or make changes to this bug.